Gocator API

Public Member Functions
GoSurfaceBox Class Reference
GoSdk/Tools » Surface

## Description

Represents a surface bounding box tool.
all width/height/length/radius and x/y/z units are in mm, angles in degrees.

Inheritance diagram for GoSurfaceBox:

## Public Member Functions
const kChar * | GoExtTool_DisplayName (GoExtTool tool)
| Retrieves the display name of the tool. More...
kBool | GoExtTool_Equals (GoExtTool tool, kString toolType)
| Compares the tool with a specific tool type. More...
GoMeasurement | GoExtTool_FindMeasurementByName (GoExtTool tool, const kChar *name)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoExtParam | GoExtTool_FindParameterById (GoExtTool tool, const kChar *label)
| Returns the parameter which matches the given label. More...
GoMeasurement | GoExtTool_MeasurementAt (GoExtTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoExtTool_MeasurementCount (GoExtTool tool)
| Returns the measurement count. More...
GoExtParam | GoExtTool_ParameterAt (GoExtTool tool, kSize index)
| Returns the parameter at the given index. More...
kSize | GoExtTool_ParameterCount (GoExtTool tool)
| Returns the number of parameters available for the given tool. More...
kStatus | GoExtTool_SetDisplayName (GoExtTool tool, const kChar *name)
| Sets the name of the tool. More...
kStatus | GoExtTool_SetSource (GoExtTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoExtTool_SetStream (GoExtTool tool, GoDataStream stream)
| Sets the data stream. More...
kStatus | GoExtTool_SetXAnchor (GoExtTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoExtTool_SetZAnchor (GoExtTool tool, k32s id)
| Sets the Z-anchoring source. More...
kStatus | GoExtTool_SetZAngleAnchor (GoExtTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoExtTool_Source (GoExtTool tool)
| Gets the data source. More...
k32u | GoExtTool_SourceOptionAt (GoExtTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoExtTool_SourceOptionCount (GoExtTool tool)
| Gets the data source option list count. More...
GoDataStream | GoExtTool_Stream (GoExtTool tool)
| Gets the data stream. More...
GoDataStream | GoExtTool_StreamOptionAt (GoExtTool tool, kSize index)
| Gets the data stream option at the given index. More...
kSize | GoExtTool_StreamOptionCount (GoExtTool tool)
| Gets the data stream option list count. More...
GoExtToolDataOutput | GoExtTool_ToolDataOutputAt (GoExtTool tool, kSize index)
| Returns the tool data output item at the given index. More...
kSize | GoExtTool_ToolDataOutputCount (GoExtTool tool)
| Returns the number of tool data outputs available for the given tool. More...
const kChar * | GoExtTool_Type (GoExtTool tool)
| Retrieves the type of the tool. More...
const kChar * | GoExtTool_Version (GoExtTool tool)
| Returns the tool configuration version string. More...
k32s | GoExtTool_XAnchor (GoExtTool tool)
| Gets the current X-anchoring source. More...
kBool | GoExtTool_XAnchorEnabled (GoExtTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoExtTool_XAnchorOptionAt (GoExtTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoExtTool_XAnchorOptionCount (GoExtTool tool)
| Gets the X-anchoring option list count. More...
kBool | GoExtTool_XAnchorSupportEnabled (GoExtTool tool)
| Returns a boolean value representing whether the tool supports x anchoring. More...
k32s | GoExtTool_ZAnchor (GoExtTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoExtTool_ZAnchorEnabled (GoExtTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoExtTool_ZAnchorOptionAt (GoExtTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoExtTool_ZAnchorOptionCount (GoExtTool tool)
| Gets the Z-anchoring option list count. More...
kBool | GoExtTool_ZAnchorSupportEnabled (GoExtTool tool)
| Returns a boolean value representing whether the tool supports z anchoring. More...
k32s | GoExtTool_ZAngleAnchor (GoExtTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoExtTool_ZAngleAnchorEnabled (GoExtTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoExtTool_ZAngleAnchorOptionAt (GoExtTool tool, kSize index)
| Gets the ZAngle-anchoring option at the given index. More...
kSize | GoExtTool_ZAngleAnchorOptionCount (GoExtTool tool)
| Gets the ZAngle-anchoring option list count. More...
kBool | GoExtTool_ZAngleAnchorSupportEnabled (GoExtTool tool)
| Returns a boolean value representing whether the tool supports z angle anchoring. More...
GoBoxAsymmetryType | GoSurfaceBox_AsymmetryDetectionType (GoSurfaceBox tool)
| Gets the asymmetry detection type. More...
GoSurfaceBoundingBoxCenterPoint | GoSurfaceBox_CenterPoint (GoSurfaceBoundingBoxCenterPoint tool)
| Returns a GoSurfaceBoundingBoxCenterPoint center point feature object. More...
kStatus | GoSurfaceBox_EnableRegion (GoSurfaceBox tool, kBool enable)
| Enables or disables the tool region. More...
kStatus | GoSurfaceBox_EnableZRotation (GoSurfaceBox tool, kBool enable)
| Enables or disables Z-rotation. More...
GoSurfaceBoxGlobalX | GoSurfaceBox_GlobalXMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox global X measurement object. More...
GoSurfaceBoxGlobalY | GoSurfaceBox_GlobalYMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox global Y measurement object. More...
GoSurfaceBoxGlobalZAngle | GoSurfaceBox_GlobalZAngleMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox global Z Angle measurement object. More...
GoSurfaceBoxHeight | GoSurfaceBox_HeightMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Height measurement object. More...
GoSurfaceBoxLength | GoSurfaceBox_LengthMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Length measurement object. More...
GoRegion3d | GoSurfaceBox_Region (GoSurfaceBox tool)
| Gets the surface bounding box region. More...
kBool | GoSurfaceBox_RegionEnabled (GoSurfaceBox tool)
| Returns the enabled state of the tool region. More...
kStatus | GoSurfaceBox_SetAsymmetryDetectionType (GoSurfaceBox tool, GoBoxAsymmetryType value)
| Sets the asymmetry detection type. More...
GoSurfaceBoxWidth | GoSurfaceBox_WidthMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Width measurement object. More...
GoSurfaceBoxX | GoSurfaceBox_XMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox X measurement object. More...
GoSurfaceBoxY | GoSurfaceBox_YMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Y measurement object. More...
GoSurfaceBoxZAngle | GoSurfaceBox_ZAngleMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Z Angle measurement object. More...
GoSurfaceBoxZ | GoSurfaceBox_ZMeasurement (GoSurfaceBox tool)
| Returns a GoSurfaceBox Z measurement object. More...
kBool | GoSurfaceBox_ZRotationEnabled (GoSurfaceBox tool)
| Returns the enabled state of Z-rotation. More...
kStatus | GoSurfaceTool_SetSource (GoSurfaceTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoSurfaceTool_SetStream (GoSurfaceTool tool, GoDataStream stream)
| Sets the data stream. More...
kStatus | GoSurfaceTool_SetXAnchor (GoSurfaceTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoSurfaceTool_SetYAnchor (GoSurfaceTool tool, k32s id)
| Sets the Y-anchoring source. More...
kStatus | GoSurfaceTool_SetZAnchor (GoSurfaceTool tool, k32s id)
| Sets the Z-anchoring source. More...
kStatus | GoSurfaceTool_SetZAngleAnchor (GoSurfaceTool tool, k32s id)
| Sets the ZAngle-anchoring source. More...
GoDataSource | GoSurfaceTool_Source (GoSurfaceTool tool)
| Gets the data source. More...
k32u | GoSurfaceTool_SourceOptionAt (GoSurfaceTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoSurfaceTool_SourceOptionCount (GoSurfaceTool tool)
| Gets the data source option list count. More...
GoDataStream | GoSurfaceTool_Stream (GoSurfaceTool tool)
| Gets the data stream. More...
GoDataStream | GoSurfaceTool_StreamOptionAt (GoSurfaceTool tool, kSize index)
| Gets the data stream option at the given index. More...
kSize | GoSurfaceTool_StreamOptionCount (GoSurfaceTool tool)
| Gets the data stream option list count. More...
k32s | GoSurfaceTool_XAnchor (GoSurfaceTool tool)
| Gets the current X-anchoring source. More...
kBool | GoSurfaceTool_XAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoSurfaceTool_XAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoSurfaceTool_XAnchorOptionCount (GoSurfaceTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoSurfaceTool_YAnchor (GoSurfaceTool tool)
| Gets the current Y-anchoring source. More...
kBool | GoSurfaceTool_YAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring. More...
k32u | GoSurfaceTool_YAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Y-anchoring option at the given index. More...
kSize | GoSurfaceTool_YAnchorOptionCount (GoSurfaceTool tool)
| Gets the Y-anchoring option list count. More...
k32s | GoSurfaceTool_ZAnchor (GoSurfaceTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoSurfaceTool_ZAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoSurfaceTool_ZAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
k32s | GoSurfaceTool_ZAngleAnchor (GoSurfaceTool tool)
| Gets the ZAngle-anchoring source. More...
kBool | GoSurfaceTool_ZAngleAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid ZAngle - anchoring source has been set for ZAngle - anchoring. More...
k32u | GoSurfaceTool_ZAngleAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the ZAngle-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAngleAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
kStatus | GoTool_AddExtMeasurement (GoTool tool, kType type, kBool isFilterable, GoExtMeasurement *measurement)
kStatus | GoTool_AddFeatureOutput (GoTool tool, kType type, GoFeature *featureOutput)
| Adds the given feature output to the tool set. More...
kStatus | GoTool_AddMeasurement (GoTool tool, kType type, kBool isFilterable, GoMeasurement *measurement)
| Adds the given measurement to the tool set. More...
kStatus | GoTool_ClearFeatureOutputs (GoTool tool)
| Removes all feature outputs for the given tool. More...
kStatus | GoTool_ClearMeasurements (GoTool tool)
| Removes all measurements for the given tool. More...
GoFeature | GoTool_FeatureOutputAt (GoTool tool, kSize index)
| Retrieves the feature output at the given index. More...
kSize | GoTool_FeatureOutputCount (GoTool tool)
| Returns the feature output count. More...
GoFeature | GoTool_FindFeatureOutputByType (GoTool tool, GoFeatureType type)
| Retrieves the instance of a feature output for a given enumeration type. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
k32s | GoTool_Id (GoTool tool)
| Retrieves the id of the instance of the tool. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_RemoveFeatureOutput (GoTool tool, kSize index)
| Removes a feature output at a given index. More...
kStatus | GoTool_RemoveMeasurement (GoTool tool, kSize index)
| Removes a measurement at a given index. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...
kStatus | GoToolUtil_ParseStreamOptions (GoTool tool, kXml xml, kXmlItem item, kArrayList list)
| Parses stream options for the given tool. More...

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h